package com.isoft.project.monitor.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.isoft.framework.aspectj.lang.annotation.Excel;
import com.isoft.framework.aspectj.lang.annotation.Excel.ColumnType;
import com.isoft.framework.web.domain.BaseEntity;
import lombok.Data;
import org.springframework.data.annotation.Transient;

import java.util.Date;
import java.util.List;

/**
 * 系统访问记录表 sys_logininfor
 * 
 * @author isoft
 */
@Data
public class SysLogininforReqDTO {
    /** ID */
    private Long infoId;

    /** 用户账号 */
    private String userName;

    /** 登录状态 0成功 1失败 */
    private String status;

    /** 登录IP地址 */
    @Excel(name = "登录地址")
    private String ipaddr;

    /** 登录地点 */
    private String loginLocation;

    /** 浏览器类型 */
    private String browser;

    /** 操作系统 */
    private String os;

    /** 提示消息 */
    private String msg;

    /** 访问时间 */
    private String loginTime;

    @Transient
    private Integer pu;

    @Transient
    private Integer ps;

    @Transient
    private Integer be;

    @Transient
    private Integer en;

    @Transient
    private Integer totals;

    @Transient
    private String ids;

    @Transient
    private List<String> businessIds;



}