package com.isoft.project.monitor.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.isoft.framework.aspectj.lang.annotation.Excel;
import lombok.Data;
import org.springframework.data.annotation.Transient;

import java.util.Date;
import java.util.List;

/**
 * @author luzhuang
 * @Description:
 * @date 2020/7/17 10:01
 */

@Data
public class SysOperLogReqDTO {
    /** 日志主键 */
    private Long businessId;

    /** 操作模块 */
    private String title;

    /** 业务类型（0其它 1新增 2修改 3删除） */
    private Integer businessType;

    /** 业务类型数组 */
    private Integer[] businessTypes;

    /** 请求方法 */
    private String method;

    /** 请求方式 */
    private String requestMethod;

    /** 操作类别（0其它 1后台用户 2手机端用户） */
    private Integer operatorType;

    /** 操作人员 */
    private String operName;

    /** 部门名称 */
    private String deptName;

    /** 请求url */
    private String operUrl;

    /** 操作地址 */
    private String operIp;

    /** 操作地点 */
    private String operLocation;

    /** 请求参数 */
    private String operParam;

    /** 返回参数 */
    private String jsonResult;

    /** 操作状态（0正常 1异常） */
    private Integer status;

    /** 错误消息 */
    private String errorMsg;

    /** 操作时间 */
    private String operTime;

    @Transient
    private Integer pu;

    @Transient
    private Integer ps;

    @Transient
    private Integer be;

    @Transient
    private Integer en;

    @Transient
    private Integer totals;

    @Transient
    private String ids;

    @Transient
    private List<String> businessIds;


}
