package com.isoft.project.monitor.mapper;

import com.isoft.framework.interceptor.annotation.TableSeg;
import com.isoft.project.monitor.domain.SysOperLog;
import com.isoft.project.monitor.dto.SysOperLogReqDTO;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.ResultMap;
import org.apache.ibatis.annotations.Select;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * 操作日志 数据层
 *
 * @author isoft
 */
@Repository
public interface SysOperLogCommonMapper {

    /**
     * 查询系统操作日志集合
     * @param operLog 操作日志对象
     * @return 操作日志集合
     */
    List<SysOperLog> selectOperLogList(SysOperLogReqDTO operLog);


    /**
     * 判断数据表是否存在
     * @param tableName
     * @return
     */
//    @Select(" select count(*) from user_tables where upper(table_name) = upper('${tableName}') ")
    int judgeTable(@Param("tableName") String tableName);

}
