package com.isoft.project.monitor.mapper;

import java.util.List;
import com.isoft.project.monitor.domain.SysOperLog;
import com.isoft.framework.interceptor.annotation.TableSeg;
import com.isoft.project.monitor.domain.SysOperLog;
import com.isoft.project.monitor.dto.SysOperLogReqDTO;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

/**
 * 操作日志 数据层
 * 
 * @author isoft
 */
@Repository
@TableSeg(tableName="sys_oper_log",shardType="",shardBy="",shardByTable="")
public interface SysOperLogMapper
{
    /**
     * 新增操作日志
     * 
     * @param operLog 操作日志对象
     */
    public void insertOperlog(SysOperLog operLog);

    /**
     * 批量新增操作日志
     *
     * @param operLog 操作日志对象
     */
    public void insertBatchOperlog(@Param("list")List<SysOperLog> operLog,@Param("busiSeq")String busiSel);

    /**
     * 查询系统操作日志集合
     * 
     * @param operLog 操作日志对象
     * @return 操作日志集合
     */
    public List<SysOperLog> selectOperLogList(SysOperLogReqDTO operLog);

    /**
     * 批量删除系统操作日志
     * 
     * @param operIds 需要删除的操作日志ID
     * @return 结果
     */
    public int deleteOperLogByIds(Long[] operIds);

    /**
     * 查询操作日志详细
     * 
     * @param operId 操作ID
     * @return 操作日志对象
     */
    public SysOperLog selectOperLogById(Long operId);

    /**
     * 清空操作日志
     */
    public void cleanOperLog(Long status);
}
