package com.isoft.project.upload.domain;

import com.fasterxml.jackson.annotation.JsonIgnore;

/**
 * 迅达云对象存储表
 */
public class OssInfo {

    /** 主键 */
    private String id;
    /** oss bucket，桶名称 */
    private String bucket;
    /** oss 路径，文件夹路径 */
    private String path;
    /** oss key：路径+文件名 */
    private String ossKey;
    /** 文件md5 */
    private String md5;
    /** tag */
    private String etag;
    /** 公共url，文件公网地址 */
    private String url;
    /** 文件大小，单位字节 */
    private Long fileSize;
    /** 文件类型 */
    private String fileType;
    /** 原始文件名 */
    private String originalName;

    /** 图片类型 */
    @JsonIgnore
    private boolean pic;

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getBucket() {
        return bucket;
    }

    public void setBucket(String bucket) {
        this.bucket = bucket;
    }

    public String getPath() {
        return path;
    }

    public void setPath(String path) {
        this.path = path;
    }

    public String getOssKey() {
        return ossKey;
    }

    public void setOssKey(String ossKey) {
        this.ossKey = ossKey;
    }

    public String getMd5() {
        return md5;
    }

    public void setMd5(String md5) {
        this.md5 = md5;
    }

    public String getEtag() {
        return etag;
    }

    public void setEtag(String etag) {
        this.etag = etag;
    }

    public String getUrl() {
        return url;
    }

    public void setUrl(String url) {
        this.url = url;
    }

    public Long getFileSize() {
        return fileSize;
    }

    public void setFileSize(Long fileSize) {
        this.fileSize = fileSize;
    }

    public String getFileType() {
        return fileType;
    }

    public void setFileType(String fileType) {
        this.fileType = fileType;
    }

    public String getOriginalName() {
        return originalName;
    }

    public void setOriginalName(String originalName) {
        this.originalName = originalName;
    }

    public boolean getPic() {
        return pic;
    }

    public void setPic(boolean pic) {
        this.pic = pic;
    }
}
