package com.isoft.project.upload.enumm;

/**
 * 桶名称
 */
public enum BucketEnum {

    // 中台   （开发环境）
    ZT(0, "ztbucket"),
    // 内勤
    NQ(1, "nqbucket"),
    // 银企
    YQ(2, "yqbucket"),


    // 中台   (测试环境)
    ZT_TEST(3, "ztbucket-test"),
    // 内勤
    NQ_TEST(4, "nqbucket-test"),
    // 银企
    YQ_TEST(5, "yqbucket-test"),

    // 中台   (生产环境)
    ZT_PROD(6, "ztbucket-prod"),
    // 内勤
    NQ_PROD(7, "nqbucket-prod"),
    // 银企
    YQ_PROD(8, "yqbucket-prod");

    private final int type;

    private final String name;

    BucketEnum(int type, String name) {
        this.type = type;
        this.name = name;
    }

    public int getType() {
        return this.type;
    }

    public String getName() {
        return this.name;
    }

    public static String getNameByType(int type,String environment) {
        if("dev".equals(environment)){
            for (BucketEnum be : values())
                if (be.type == type)
                    return be.getName();
        }else if ("test".equals(environment)){
            for (BucketEnum be : values())
                if (be.type == (type+3))
                    return be.getName();
        }else if ("prod".equals(environment)){
            for (BucketEnum be : values())
                if (be.type == (type+6))
                    return be.getName();
        }

        return null;
    }

}
