package com.isoft.project.upload.service;

import com.isoft.project.upload.domain.OssInfo;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.multipart.MultipartFile;

import javax.servlet.http.HttpServletResponse;
import java.util.List;

public interface UploadService {

    /**
     * 上传到迅达云
     * 批量上传
     * @param files 多文件
     * @param type 项目分类，0：中台，1：内勤，2：银企
     * @param dir 文件夹路径，为null上传到根目录
     * @return
     */
    List<OssInfo> uploadSpeedy(MultipartFile[] files, int type, String dir);


    List<OssInfo> uploadRecord(MultipartFile file, int type, String dir );

    List<OssInfo> uploadVideo(MultipartFile file, int type, String dir );

    /**
     * 下载文件
     * @param response
     * @param id oss_info表主键
     */
    void downloadSpeedy(HttpServletResponse response, String id);

    /**
     * 根据主键查询信息
     * @param ids 可能是多个
     * @return
     */
    List<OssInfo> showSpeedy(String ids);


    /**
     * 根据主键查询信息
     * @param
     * @return
     */
    List<OssInfo> uploadFile(MultipartFile multipartFile, String dir, Integer flag);

}
