package com.isoft.project.util;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

import java.io.File;
import java.io.IOException;
import java.nio.file.Files;
import java.nio.file.Paths;

/**
 *
 */
public class FilesUtils {
    private static final Logger log = LoggerFactory.getLogger(FilesUtils.class);
    public static void delDir(String dirPath) {
        try {
            File dirFile = new File(dirPath);
            if (!dirFile.exists()) {
                return;
            }
            if (dirFile.isFile()) {
                Files.delete(Paths.get(dirPath));
                return;
            }
            File[] files = dirFile.listFiles();
            if(files==null){
                return;
            }
            for (File file : files) {
                delDir(file.toString());
            }
            Files.delete(Paths.get(dirPath));
        } catch (IOException e) {
            log.error("文件删除错误" , e);
        }
    }
}
