//
// Source code recreated from a .class file by IntelliJ IDEA
// (powered by Fernflower decompiler)
//
package com.isoft.common.sm4;


import lombok.extern.slf4j.Slf4j;
import sun.misc.BASE64Decoder;
import sun.misc.BASE64Encoder;

import java.util.regex.Matcher;
import java.util.regex.Pattern;

@Slf4j
public class Sm {

    private String secretKey = "FFFAAA333666DDDB";
    private String iv = "";
    private boolean hexString = false;
    private static final String ECORDING = "UTF-8";



    public String encryptData_ECB(String plainText) throws Exception {
        try {
            SM4_Context ctx = new SM4_Context();
            ctx.isPadding = true;
            ctx.mode = 1;
            byte[] keyBytes;
            if (this.hexString) {
                keyBytes = Util.hexStringToBytes(this.secretKey);
            } else {
                keyBytes = this.secretKey.getBytes();
            }

            SM4 sm4 = new SM4();
            sm4.sm4_setkey_enc(ctx, keyBytes);
            byte[] encrypted = sm4.sm4_crypt_ecb(ctx, plainText.getBytes(ECORDING));
            String cipherText = (new BASE64Encoder()).encode(encrypted);
            if (cipherText != null && cipherText.trim().length() > 0) {
                Pattern p = Pattern.compile("\\s*|\t|\r|\n");
                Matcher m = p.matcher(cipherText);
                cipherText = m.replaceAll("");
            }

            return cipherText;
        } catch (Exception var9) {
            throw var9;
        }
    }

    public String decryptData_ECB(String cipherText) throws Exception {
        try {
            SM4_Context ctx = new SM4_Context();
            ctx.isPadding = true;
            ctx.mode = 0;
            byte[] keyBytes;
            if (this.hexString) {
                keyBytes = Util.hexStringToBytes(this.secretKey);
            } else {
                keyBytes = this.secretKey.getBytes();
            }

            SM4 sm4 = new SM4();
            sm4.sm4_setkey_dec(ctx, keyBytes);
            byte[] decrypted = sm4.sm4_crypt_ecb(ctx, (new BASE64Decoder()).decodeBuffer(cipherText));
            return new String(decrypted, ECORDING);
        } catch (Exception var6) {
            log.error(var6.getMessage());
            throw var6;
        }
    }

    public String encryptData_CBC(String plainText) {
        try {
            SM4_Context ctx = new SM4_Context();
            ctx.isPadding = true;
            ctx.mode = 1;
            byte[] keyBytes;
            byte[] ivBytes;
            if (this.hexString) {
                keyBytes = Util.hexStringToBytes(this.secretKey);
                ivBytes = Util.hexStringToBytes(this.iv);
            } else {
                keyBytes = this.secretKey.getBytes();
                ivBytes = this.iv.getBytes();
            }

            SM4 sm4 = new SM4();
            sm4.sm4_setkey_enc(ctx, keyBytes);
            byte[] encrypted = sm4.sm4_crypt_cbc(ctx, ivBytes, plainText.getBytes(ECORDING));
            String cipherText = (new BASE64Encoder()).encode(encrypted);
            if (cipherText != null && cipherText.trim().length() > 0) {
                Pattern p = Pattern.compile("\\s*|\t|\r|\n");
                Matcher m = p.matcher(cipherText);
                cipherText = m.replaceAll("");
            }

            return cipherText;
        } catch (Exception var10) {
            log.error(var10.getMessage());
        }
        return  null;
    }

    public String decryptData_CBC(String cipherText) {
        try {
            SM4_Context ctx = new SM4_Context();
            ctx.isPadding = true;
            ctx.mode = 0;
            byte[] keyBytes;
            byte[] ivBytes;
            if (this.hexString) {
                keyBytes = Util.hexStringToBytes(this.secretKey);
                ivBytes = Util.hexStringToBytes(this.iv);
            } else {
                keyBytes = this.secretKey.getBytes();
                ivBytes = this.iv.getBytes();
            }

            SM4 sm4 = new SM4();
            sm4.sm4_setkey_dec(ctx, keyBytes);
            byte[] decrypted = sm4.sm4_crypt_cbc(ctx, ivBytes, (new BASE64Decoder()).decodeBuffer(cipherText));
            return new String(decrypted, ECORDING);
        } catch (Exception var7) {

        }
        return null;
    }

    public static void main(String[] args) throws Exception {
        Sm sm4 = new Sm();
        sm4.secretKey = "FFFAAA333666DDDB";
        sm4.hexString = false;

        String plainText = "{\"username\":\"范海辛\",\"password\":\"admin123\"}";
        String cipherText = "S4khbaGyjhavS+mJxK4inw==";
        System.out.println("测试明文: " + plainText);
        System.out.println("测试密文: " + cipherText);
        System.out.println("加密: " + sm4.encryptData_ECB(plainText));
        System.out.println("解密: " + sm4.decryptData_ECB("6A3fI6eYsISQwezVySEx3v3DPsXEQTQLQVk+tneyMCrcQ28rKtYPm4JHnT1ugc1+nkRLqpBSTTOJwj5rS1KY+0HxHWIi9QhroFwOBgHrc89Xsdbhl1FSIFJ/sg//SRE0oF6UI/RBWTxrezEYOREkiUlDM8vC4PznGYCmrizAebdeF7bq+dmUCNvv66veEQsUdN1P5zUgR9QsVvdedhSDVHtWrT7XCnG9TdGO0UJJ1oYSEbMx/X08Q9nRZlzwcWLq"));

    }



    public String getSecretKey() {
        return this.secretKey;
    }

    public String getIv() {
        return this.iv;
    }

    public boolean isHexString() {
        return this.hexString;
    }

    public void setSecretKey(String secretKey) {
        this.secretKey = secretKey;
    }

    public void setIv(String iv) {
        this.iv = iv;
    }

    public void setHexString(boolean hexString) {
        this.hexString = hexString;
    }


    public String toString() {
        return "SM4Util(secretKey=" + this.getSecretKey() + ", iv=" + this.getIv() + ", hexString=" + this.isHexString() + ")";
    }
}
